#version 150

// This came from some tutorial, mentioning some drivers required this to function
//   properly but did not delve into why.
precision highp float;

in vec4 fsColor;
in vec2 fsTextureUV;
in float fsDepth;

out vec4 finalFragColor;

// sAlbedoTexture is a 2D texture sampler for diffuse texture.
uniform sampler2D sAlbedoTexture;
uniform vec4 uMaterialColor = vec4(1.0, 1.0, 1.0, 1.0);

void main(void)
{
	vec4 texturedFragmentColor = fsColor * uMaterialColor * texture(sAlbedoTexture, fsTextureUV);
	if (texturedFragmentColor.a < 0.25)
	{
		discard;
	}

	finalFragColor = vec4(1.0, 1.0, 1.0, 1.0);
}
