#version 150

in vec3 vsPosition;
in vec3 vsNormal;
in vec4 vsColor;
in vec2 vsTextureUV;

// Our outputs the next shader (fragment) in the chain
out vec4 fsColor;

uniform mat4 uObjectToProjection;

void main(void)
{
	gl_Position = vec4(vsPosition, 1.0) * uObjectToProjection;
	fsColor = vsColor;
}
